Subject: Re: [PATCH net-next v3] ipv4: validate IPV4_DEVCONF attributes properly

From: Jakub Kicinski <[email-masked]>
Date: Wed, 4 Mar 2026 18:07:25 -0800

On Tue,  3 Mar 2026 13:40:38 +0100 Fernando Fernandez Mancera wrote:
> +	[IPV4_DEVCONF_MEDIUM_ID]	= { .type = NLA_S32, .min = -1 },

Don't we have to set validation type for this to take effect?
Why not use NLA_POLICY_MIN() ?

> +	[IPV4_DEVCONF_ARP_ACCEPT]	= NLA_POLICY_RANGE(NLA_U32, 0, 1),

This one should accept 2 as well? 
-- 
pw-bot: cr